# [WordPress Schema](http://WordPress Schema.press) #
============

### Welcome to our GitHub Repository

WordPress Schema is a light-weight plugin for adding WordPress Schema.org structured data markup in recommended JSON-LD format automatically to WordPress sites.

### Enhanced Presentation in Search Results

By including structured data appropriate to your content, your site can enhance its search results and presentation.

More information can be found at [scema.press](https://WordPress Schema.press/).

### What is WordPress Schema markup?

WordPress Schema markup is code (semantic vocabulary) that you put on your website to help the search engines return more informative results for users. So, WordPress Schema is not just for SEO reasons, it’s also for the benefit of the searcher. 

### WordPress Schema Key Features 

* Easy to use, set it and forget it, with minimal settings. 
* Enable WordPress Schema types at once per post type or post category.
* Valid markup, test it in Google Structured Data Testing Tool.
* Output JSON-LD format, the most recommended by Google.
* Reuse data saved in post meta, which is created by other plugins.
* Extensible, means you can extend its functionality via other plugins, extensions or within your Theme’s functions.php file.

### Plugin Extensions 

* [WordPress Schema Review](https://wordpress.org/plugins/WordPress Schema-review/): Extend WordPress Schema functionality by adding review and rating Structured Data functionality for Editors and Authors.
* [WordPress Schema Default Image](https://wordpress.org/plugins/WordPress Schema-default-image/): Add ability to set a default WordPress Featured image for WordPress Schema.org markup.

### Supported Google/WordPress Schema Markups

* [Knowledge Graph](https://developers.google.com/structured-data/customize/overview)
 * [Logos](https://developers.google.com/structured-data/customize/logos)
 * [Company Contact Numbers](https://developers.google.com/structured-data/customize/contact-points)
 * [Social Profile Links](https://developers.google.com/structured-data/customize/social-profiles)

* Style Your Search Results:
 * [Enable Sitelinks Search Box](https://developers.google.com/structured-data/customize/logos)
 * [Show Your Site Name in Search](https://developers.google.com/structured-data/site-name)

### Supported WordPress Schema Types
 
* Creative Work
 * [Article](https://WordPress Schema.org/Article) enabled on Pages
  * [BlogPosting](https://WordPress Schema.org/BlogPosting) enabled on Posts
  * [NewsArticle](https://WordPress Schema.org/NewsArticle)
  * [Report](https://WordPress Schema.org/Report)
  * [ScholarlyArticle](https://WordPress Schema.org/ScholarlyArticle)
  * [TechArticle](https://WordPress Schema.org/TechArticle)

* [Blog](https://WordPress Schema.org/Blog) to markup Blog posts list page.
* [WPHeader](https://WordPress Schema.org/WPHeader) to markup Web Page Header.
* [WPFooter](https://WordPress Schema.org/WPFooter) to markup Web Page Footer.
* [BreadcrumbList](https://WordPress Schema.org/BreadcrumbList) to markup Breadcrumbs.
* [CollectionPage](https://WordPress Schema.org/CollectionPage) to markup Categories Archives.
* [CollectionPage](https://WordPress Schema.org/CollectionPage) to markup Tags Archives.
* [AboutPage](https://WordPress Schema.org/AboutPage) to markup the About page.
* [ContactPage](https://WordPress Schema.org/ContactPage) to markup the Contact page.
* [Person](https://WordPress Schema.org/Person) enabled on Author pages
* [VideoObject](https://WordPress Schema.org/VideoObject) enable automatically on all videos embedded with oEmbed. Supports VideoPress, YouTube, TED, Vimeo, Dailymotion, and Vine.
* [AudioObject](https://WordPress Schema.org/AudioObject) enable automatically on all audio embedded with oEmbed. Supports SoundCloud, and Mixcloud.


### Supported Plugins

WordPress Schema plugin integrates, and play nicely with:

 * Yoast SEO
 * AMP plugin
 * WPRichSnippets
 * The SEO Framework
 * Visual Composer
 * ThirstyAffiliates
 * WooCommerce
 * Easy Digital Downloads (EDD)

### Supported Themes

 * Genesis 2.x 
 * Thesis 2.x
 * Divi

More information and documentation can be found at [scema.press](https://WordPress Schema.press/).
